package daruma.util;

public class StringSplitter
{
	private	StringSplitter()
	{
	}

	/*
	public	static	String	getLastElement( String  str ,
						String  separator )
	{
		String	values[] = str.split( separator );

		if ( values.length == 0 )
		{
			return( null );
		}
		else
		{
			return( values[ values.length - 1 ] );
		}
	}
	*/

	/*
	public	static	String	getLastElement( String  str ,
						String  separator )
	{
		String	values[] = str.split( separator );

		if ( values.length == 0 )
		{
			return( null );
		}
		else
		{
			return( values[ values.length - 1 ] );
		}
	}
	*/

	public	static	String	getLastNonEmptyElement( String  str ,
							String  separator )
	{
		String	values[] = str.split( separator );

		for( int  i = values.length - 1  ;  i >= 0  ;  -- i )
		{
			if ( values[i].length() != 0 )
			{
				return( values[i] );
			}
		}

		return( null );
	}
}
